GFS_ACL_INIT(3)

NAME
gfs_acl_init - initialize a Gfarm ACL structure

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_init(int count, gfarm_acl_t *acl_p);

INPUT ARGUMENTS

count
    Initial number of unused ACL entries.

acl_p
    A pointer of ACL structure type for initialization.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_get_file(3), gfs_acl_free(3)